*
{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', Sans-Serif;
}
html, body
{
    height: 100%;
    margin: 0;
}
body
{
    min-height: 100vh;   
    display: flex;
    flex-direction: column;
}
main
{
    flex: 1;
}
header
{
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(4,9,30,0.7),rgba(4,9,30,0.7)),url(../img/hero-bg.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
}
.sub-header
{
    min-height: 40vh;
}
nav
{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}
.sub-header nav
{
    padding: 0 6%;
}

/* -----------------logo css-------------- */
nav a
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-decoration: none;
    color: #fff;
}
nav a img
{
    padding-right: 10px;
    width: 75px;
    mix-blend-mode: multiply;
}

/* -----------------links-------------- */
.nav-links
{
    flex: 1;
    text-align: right;
}
.nav-links ul li
{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}
.nav-links ul li a
{
    color: #fff;
    text-transform: uppercase;
    font-size: 13px;
}
.active-nav-link
{
    font-weight: bold;
    text-decoration: underline solid red;
    text-underline-offset: 6px;
}
.nav-links ul li:after
{
    content: '';
    width:0%;
    height: 2px;
    background: #f44336;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after
{
    width: 100%;
}
nav .fa-bars,
nav .fa-xmark
{
    display: none;
}

@media(max-width: 700px)
{
    nav a img
    {
        width: 50px;
    }
    nav a h1
    {
        font-size: 20px;
    }
    .nav-links ul li
    {
        display: block;
    }
    .nav-links
    {
        position: absolute;
        background: #f44336;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -250px;
        text-align: left;
        z-index: 2;
        transition: 1s;
    }
    .nav-links ul
    {
        padding: 30px;
    }
    nav .fa-bars,
    nav .fa-xmark
    {
        display: block;
        color: #fff;
        margin: 10px;
        font-size: 22px;
        cursor: pointer;
    }
    
}